Subject: Re: port of omniorb
From: "Robert Collins" <[email-masked]>
To: "Jason Tishler" <[email-masked]>, "bruno patin \(travail\)" <[email-masked]>
Cc: "groupe cygwin" <[email-masked]>
Date: Sun, 1 Apr 2001 15:25:02 +1000

Uhmm , ORBit-0.5.3 compiled pretty much OOTB and ran smoothly for me
when I first started looking at GNOME on cygwin. Does that cover the
CORBA requirements you've got?

Rob

----- Original Message -----
From: "Jason Tishler" <[email-masked]>
To: "bruno patin (travail)" <[email-masked]>
Cc: "groupe cygwin" <[email-masked]>
Sent: Sunday, April 01, 2001 2:37 PM
Subject: Re: port of omniorb

> Bruno,
>
> On Sat, Mar 31, 2001 at 11:11:18AM +0200, bruno patin (travail) wrote:
> > I did it before and it compile. But in the port of omniorb itself,
the
> > omniidl command needs some Python software that it can't see. I
wrote to
> > the omniorb mailing list and they ask me if cygwin could create .so
> > libraries. I didn't observe the gcc -shared command but I think you
made
> > it identical with the other gcc on the other platforms.
>
> Cygwin gcc supports -shared and can create shared libraries (i.e.,
> DLLs).  Although, following Windows conventions they usually end it
> ".dll" instead ".so".
>
> Can you point me toward the above mentioned response from the omniorb
> list?  I would like to read it.
>
> > They ask for knowing which platform to choose for the compilation as
the
> > cygwin one doesn't exist.  I took the glibc2.1 platform. Do you
think it
> > is right (I regard the gcc version for this choice).
>
> Sorry, I don't know the answer the above.  I wish that I did,
because...
>
> I too briefly looked into building a Cygwin omniorb.  But, when I
realized
> that they did not support the CORBA 2.3 spec (i.e., POA) and that they
> did *not* use autoconf, I elected not to spend the time to attempt the
> port.
>
> I found it ironic that they required Cygwin to build their Win32
> version but they did not have a Cygwin version.  Searching their
> archives, I found that someone asked how to build a Cygwin version in
> the past.  Unfortunately, no one ever responded.
>
> > My choices :
> >
> > to return to the python compiling and introduce a correct support
thread
> > to use the native win32 omniorb implementation (is it possible and
how)
> > to use another orb that is already ported on cygwin (do you know
one)
>
> Check out MICO (www.mico.org), they have or had a Cygwin (b19) port.
> Since, they do use autoconf, it may be as simple as:
>
>     $ configure
>     $ make
>     $ make install
>
> Then again, it may not...
>
> > As it is essential to my work I'm ready to make this effort as I
think
> > it is really interesting to have a Broker present and native for the
> > cygwin platform in order to further banalize the windows os inside
unix
> > environment (as a matter of fact your work is really good).
>
> I would like to see a Cygwin CORBA ORB too.  If you are willing to
tackle
> the omniorb side, then I'm willing to help you with the Cygwin Python
side,
> if necessary.
>
> Jason
>
> --
> Jason Tishler
> Director, Software Engineering       Phone: +1 (732) 264-8770 x235
> Dot Hill Systems Corp.               Fax:   +1 (732) 264-8798
> 82 Bethany Road, Suite 7             Email: [email-masked]
> Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
>
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple